.App {
  font-family: Consolas, Arial, sans-serif;
  text-align: center;
  display: flex;
  flex-direction: column;
  height: 100%;
  width: 100%;
  position: absolute;
  margin: 0px;
}

#main-section {
  display: flex;
  flex-direction: row;
  background: rgb(167, 115, 66);
  padding: 8px;
}

/*Admin Panel CSS*/

#admin-panel{
  background-color: rgb(139, 90, 90); /*the red bg isn't rendering for some reason, pls fix*/
  display:flex;
  flex-direction: column; 
  justify-content: center;
  padding:12px 0px;
}

#admin-container {
  background-color: brown;
  flex: 1;
}

#test-content-container {
  background-color: burlywood;
}

#admin-panel button, #admin-panel label{
  width:75%;
  margin:5px auto;
  
}

#main-section section{
  flex-wrap: wrap;
  justify-content:space-evenly;
  text-align: center;
  width: 100%; 
  margin:4px;
}

#searchbar{
  width:auto;
  height:50px;
}

.App-footer div, .App-header div{
  flex-wrap: wrap;
  justify-content:space-evenly;
  margin:auto;
  text-align: center;
}


.App-header, .App-footer{

  color:white;
  background: rgb(58, 23, 99);
  width: 100%;
  align-self: center;
  display:flex;
}
.App-footer{
  padding: 20px 0px;
}

.App-link {
  color: #61dafb;
}

#post-display-table{
  background-color: blueviolet;
  text-align: center;
  
  overflow-y:scroll;
  vertical-align: top;
  align-self: flex-start;
  flex:20;
}

#test-content-container{
  overflow-y: scroll;
}

#select_Box_Category #select_Box_Topic {
  display: flex;
}
.selectLabels {
  flex: 1;
}
#category-select #topic-select {
  flex: 6;
}

#main-column{
  flex: 2;
  display:flex;
  flex-direction: column;
  background-color: magenta;
  align-items: flex-start;
  align-content:flex-start;
}
#dropdown-menu{
  display: flex;
  flex-direction: column;
  flex: 1;
}

/* stat table css */

#topic-stats{
  background-color: rgb(255, 0, 0);
}

#user-stats{
  background-color: aquamarine;
}

#test-content-container{
  padding:15px;
  max-height: 100%;
  flex: 1;
}

#topic-stats, #user-stats, #recent-posts
{
  overflow-y: scroll;
  height: 250px;
  
}

#recent-posts{
background-color: rgb(255, 255, 0);
}

#stat-section *{
  margin:15px;
}

#stat-section table tr td{
  border:1px solid black;
}

#stat-section table{
  color:white;
}

#stat-section table tr:nth-child(2n){
  background-color: rgb(141, 58, 58);
}

#stat-section table tr:nth-child(2n+1){
  background-color: rgb(55, 121, 77);
}

#stat-section table thead tr th{
  border:2px solid rgb(92, 12, 12);
}

#topic-stats{
  overflow-y: scroll;
}

/*post styling*/

.post-header{
  display: flex;
  border:2px dotted red;
}



.post-display{
  background-color:rgb(178, 146, 219);
  padding:2px 6px;
  margin:2px;
}

.post-footer{
  display: flex;
  flex-direction: row;
  border:2px dotted red;
}

.post-footer p{
  padding:0px;
}

.image-icon{
  height: 16px;
  width: 16px;
}